database_api.list_vesting_delegations
since HF17
Purpose
Devuelve una lista de delegaciones de vesting (vesting delegation). Parámetros: start:array, limit:int, order:string
limites hasta 1000.orderpuede ser uno de:by_delegation- ordenar por delegacionesstartes un array de dos valores:delegator,delegatee
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["", ""] | 10 | by_delegation | Consulta las delegaciones, límite de 10 resultados, orden por delegaciones. |
Véase también: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegations",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_delegation"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 554317,
"delegator": "a-0-0-0",
"delegatee": "a-0-0",
"vesting_shares": {
"amount": "6141067173",
"precision": 6,
"nai": "@@000000037"
},
"min_delegation_time": "2018-01-24T22:23:54"
}
]
}